Bug 467691 - BUG: unable to handle kernel NULL pointer dereference at 0000000000000000 (radeon)
BUG: unable to handle kernel NULL pointer dereference at 0000000000000000 (ra...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 06:08 EDT by Tethys
Modified: 2009-07-14 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC9 Kernel oop (10.69 KB, application/octet-stream)
2009-01-05 17:19 EST, gb
no flags Details

  None (edit)
Description Tethys 2008-10-20 06:08:17 EDT
Description of problem:
Came back in to work this morning to find my machine hung. I was able to
ssh in from another machine, but the screensavers that were on my display
were no longer running. The X server was using 100% of the CPU. I tried
killing the window manager, but that didn't work. I was unable to kill X
(strangely, it seemed to ignore a SIGKILL, even though it wasn't waiting
on IO, and was in "R" state all the time). I killed xinit, and then also
ck-xinit-session. When I killed the last one, I got the following appear:

Message from syslogd@mrburns at Oct 20 10:32:12 ...
kernel:Code: a0 48 c7 c7 b3 f3 3c a0 31 c0 e8 1b dc ed e0 eb 03 89 53 28 0f ae f0 83 bb 88 00 00 00 00 74 0f 48 8b 83 20 01 00 00 48 8b 40 18 <8b> 00 eb 11 48 8b 83 00 04 00 00 48 8b 40 18 8b 80 10 07 00 00
killall ck-xinit-session

On looking in /var/log/messages, I found the following:

Oct 20 10:32:12 mrburns kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
Oct 20 10:32:12 mrburns kernel: IP: [<ffffffffa03bc8a8>] :radeon:radeon_do_cp_idle+0x169/0x1af
Oct 20 10:32:12 mrburns kernel: PGD 0 
Oct 20 10:32:12 mrburns kernel: Oops: 0000 [1] SMP 
Oct 20 10:32:12 mrburns kernel: CPU 1 
Oct 20 10:32:12 mrburns kernel: Modules linked in: radeon drm sunrpc ipv6 ipt_REJECT xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack iptable_filter ip_tables x_tables cpufreq_ondemand powe
rnow_k8 freq_table dm_multipath ppdev sr_mod cdrom parport_pc parport floppy pcspkr shpchp k8temp hwmon snd_intel8x0 snd_ac97_codec ac97_bus forcedeth firewire_ohci firewire_core snd_seq_dum
my crc_itu_t snd_seq_oss sg snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm cfi_cmdset_0002 cfi_util snd_timer pata_amd snd jedec_probe cfi_probe gen_probe soundc
ore ck804xrom i2c_nforce2 snd_page_alloc mtd chipreg map_funcs usb_storage i2c_core dm_snapshot dm_zero dm_mirror dm_log dm_mod pata_acpi ata_generic sata_nv libata sd_mod scsi_mod raid456 a
sync_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]
Oct 20 10:32:12 mrburns kernel: Pid: 2641, comm: X Not tainted 2.6.26.5-45.fc9.x86_64 #1
Oct 20 10:32:12 mrburns kernel: RIP: 0010:[<ffffffffa03bc8a8>]  [<ffffffffa03bc8a8>] :radeon:radeon_do_cp_idle+0x169/0x1af
Oct 20 10:32:12 mrburns kernel: RSP: 0018:ffff81007e127b18  EFLAGS: 00010202
Oct 20 10:32:12 mrburns kernel: RAX: 0000000000000000 RBX: ffff81003ecbc000 RCX: 00000000000333db
Oct 20 10:32:12 mrburns kernel: RDX: 00000000000333db RSI: 000000000003ffff RDI: ffff81003ecbc000
Oct 20 10:32:12 mrburns kernel: RBP: ffff81007e127b28 R08: ffff81007e126000 R09: 0000000000000000
Oct 20 10:32:12 mrburns kernel: R10: ffff8100020dda80 R11: ffff81003e08fe08 R12: ffff81003f739000
Oct 20 10:32:12 mrburns kernel: R13: ffff81003e9cea80 R14: ffff81003e9ceac0 R15: ffff81003f739010
Oct 20 10:32:12 mrburns kernel: FS:  00007f2d75dfa780(0000) GS:ffff81007f9a4280(0000) knlGS:00000000f7f6f6c0
Oct 20 10:32:12 mrburns kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct 20 10:32:12 mrburns kernel: CR2: 0000000000000000 CR3: 0000000000201000 CR4: 00000000000006e0
Oct 20 10:32:12 mrburns kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 20 10:32:12 mrburns kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 20 10:32:12 mrburns kernel: Process X (pid: 2641, threadinfo ffff81007e126000, task ffff81007a960000)
Oct 20 10:32:12 mrburns kernel: Stack:  ffff81003e9ceac0 ffff81003ecbc000 ffff81007e127b48 ffffffffa03bd53b
Oct 20 10:32:12 mrburns kernel: ffff81003f73900c ffff81003f739000 ffff81007e127b58 ffffffffa03c6fc9
Oct 20 10:32:12 mrburns kernel: ffff81007e127b98 ffffffffa038fc96 ffff81007e127b98 ffff81003f73900c
Oct 20 10:32:12 mrburns kernel: Call Trace:
Oct 20 10:32:12 mrburns kernel: [<ffffffffa03bd53b>] :radeon:radeon_do_release+0x4f/0x12a
Oct 20 10:32:12 mrburns kernel: [<ffffffffa03c6fc9>] :radeon:radeon_driver_lastclose+0x9/0xb
Oct 20 10:32:12 mrburns kernel: [<ffffffffa038fc96>] :drm:drm_lastclose+0x61/0x2ce
Oct 20 10:32:12 mrburns kernel: [<ffffffffa03905a3>] :drm:drm_release+0x475/0x492
Oct 20 10:32:12 mrburns kernel: [<ffffffff810ad44f>] __fput+0xca/0x189
Oct 20 10:32:12 mrburns kernel: [<ffffffff810ad522>] fput+0x14/0x16
Oct 20 10:32:12 mrburns kernel: [<ffffffff810aa760>] filp_close+0x66/0x71
Oct 20 10:32:12 mrburns kernel: [<ffffffff81038c13>] put_files_struct+0x74/0xc8
Oct 20 10:32:12 mrburns kernel: [<ffffffff81038cae>] exit_files+0x47/0x4f
Oct 20 10:32:12 mrburns kernel: [<ffffffff8103a505>] do_exit+0x293/0x84c
Oct 20 10:32:12 mrburns kernel: [<ffffffff8103ab37>] do_group_exit+0x79/0xa6
Oct 20 10:32:12 mrburns kernel: [<ffffffff810437b3>] get_signal_to_deliver+0x2a7/0x2cf
Oct 20 10:32:12 mrburns kernel: [<ffffffff8100b363>] do_notify_resume+0x90/0x90c
Oct 20 10:32:12 mrburns kernel: [<ffffffff8104cf3b>] ? ktime_get_ts+0x49/0x4e
Oct 20 10:32:12 mrburns kernel: [<ffffffff8104cf51>] ? ktime_get+0x11/0x42
Oct 20 10:32:12 mrburns kernel: [<ffffffff8100a806>] ? __switch_to+0x1a0/0x39a
Oct 20 10:32:12 mrburns kernel: [<ffffffff8102a1b4>] ? hrtick_start_fair+0x14a/0x190
Oct 20 10:32:12 mrburns kernel: [<ffffffff81071f22>] ? audit_syscall_exit+0x331/0x353
Oct 20 10:32:12 mrburns kernel: [<ffffffff8100c367>] int_signal+0x12/0x17
Oct 20 10:32:12 mrburns kernel:
Oct 20 10:32:12 mrburns kernel:
Oct 20 10:32:12 mrburns kernel: Code: a0 48 c7 c7 b3 f3 3c a0 31 c0 e8 1b dc ed e0 eb 03 89 53 28 0f ae f0 83 bb 88 00 00 00 00 74 0f 48 8b 83 20 01 00 00 48 8b 40 18 <8b> 00 eb 11 48 8b 83 
00 04 00 00 48 8b 40 18 8b 80 10 07 00 00 
Oct 20 10:32:12 mrburns kernel: RIP  [<ffffffffa03bc8a8>] :radeon:radeon_do_cp_idle+0x169/0x1af
Oct 20 10:32:12 mrburns kernel: RSP <ffff81007e127b18>
Oct 20 10:32:12 mrburns kernel: CR2: 0000000000000000
Oct 20 10:32:12 mrburns kernel: ---[ end trace cb0acd96daf94adb ]---
Oct 20 10:32:12 mrburns kernel: Fixing recursive fault but reboot is needed!


Version-Release number of selected component (if applicable):

mrburns:~# rpm -q kernel
kernel-2.6.25.11-97.fc9.x86_64
kernel-2.6.26.3-29.fc9.x86_64
kernel-2.6.26.5-45.fc9.x86_64
mrburns:~# uname -r
2.6.26.5-45.fc9.x86_64


How reproducible:
It's not the first time my X session has hung overnight, but it's the
first time I've tried logging in remotely to fix it, rather than just
hitting the reset button.

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:


Expected results:


Additional info:
I have two video cards in this machine -- a Radeon X800 GTO and a
Radeon X1550. Both PCIE. Only the X800 is in use (due to my inability
to get both cards working together).

Don't know if it's relevant or not (I suspect it's a purely kernel issue),
but just in case:

mrburns:~# rpm -q xorg-x11-drv-{ati,radeonhd}
xorg-x11-drv-ati-6.8.0-19.fc9.x86_64
xorg-x11-drv-radeonhd-1.2.1-3.9.20080917git.fc9.x86_64
Comment 1 gb 2009-01-05 17:19:21 EST
Created attachment 328237 [details]
FC9 Kernel oop

log of kernel oop with mplayer.
Comment 2 Bug Zapper 2009-06-09 23:01:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:46:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.